.modal-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: var(--colors-background-bg-overlay);
  opacity: 0;
  transition: opacity 0.2s;
  z-index: 1000;
}

.modal-backdrop.show {
  opacity: 0.7;
}

.modal {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0.5);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
  opacity: 0;
  transition: all 0.2s;
  z-index: 1001;
  background: var(--base-white);
  border: 1px solid var(--colors-brand-500);
  border-radius: 12px;
  padding: 32px;
  width: calc(100% - 40px);
  max-width: 610px;
  display: flex;
  flex-direction: column;
  max-height: 85vh;
}

.modal.show {
  transform: translate(-50%, -50%) scale(1);
  opacity: 1;
}

.modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-shrink: 0;
}

.modal-close {
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  margin-left: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 0;
  right: 0;
  width: 44px;
  height: 44px;
}

.modal-body {
  overflow-y: auto;
  flex-grow: 1;
  -webkit-overflow-scrolling: touch;
}

@media (max-width: 768px) {
  .modal {
    padding: 32px 16px 16px;
  }
}

.modal-mobile {
  width: 100%;
  padding: 32px 5px 5px;
  /*max-width: 100%;*/
  max-width: 1280px;
}

.modal-mobile .modal-close {
  width: min-content;
  height: min-content;
  right: 4px;
}

@media (min-width: 768px) {
  .modal-mobile {
    padding: 32px 20px;
  }
}
